Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.res
Class XSLMessages

    java.lang.Object
      |
      +--org.apache.xalan.res.XSLMessages

public class XSLMessages
extends java.lang.Object

**For internal use only** Sets things up for issuing error messages. This class is misnamed, and should be called XalanMessages, or some such.

Constructor Summary
`XSLMessages()`

Method Summary
`static java.lang.String` | `createMessage(int errorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.lang.String` | `createMessage(java.lang.String bundleName, int errorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createMessage(java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createMsg(java.util.ResourceBundle fResourceBundle, java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createWarning(int errorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createXPATHMessage(int errorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createXPATHMessage(java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createXPATHMsg(java.util.ResourceBundle fResourceBundle, java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createXPATHWarning(int errorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()` Get the Locale object that is being used.
`static java.util.ResourceBundle` | `loadResourceBundle(java.lang.String className)` Return a named ResourceBundle for a particular locale.
`void` | `setLocale(java.util.Locale locale)` Set the Locale object to use.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLMessages

    public XSLMessages()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the Locale object to use.
  Parameters:
    `locale` - non-null reference to Locale object.

### getLocale

    public java.util.Locale getLocale()

  Get the Locale object that is being used.
  Returns:
    non-null reference to Locale object.

### createXPATHWarning

    public static final java.lang.String createXPATHWarning(int errorCode,
                                                            java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted warning string.

### createXPATHMessage

    public static final java.lang.String createXPATHMessage(int errorCode,
                                                            java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted message string.

### createXPATHMessage

    public static final java.lang.String createXPATHMessage(java.lang.String msgKey,
                                                            java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted message string.

### createXPATHMsg

    public static final java.lang.String createXPATHMsg(java.util.ResourceBundle fResourceBundle,
                                                        java.lang.String msgKey,
                                                        java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `fResourceBundle` - The resource bundle to use.
    `msgKey` - The message key to use.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted message string.

### createWarning

    public static final java.lang.String createWarning(int errorCode,
                                                       java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted warning string.

### createMessage

    public static final java.lang.String createMessage(java.lang.String msgKey,
                                                       java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted message string.

### createMessage

    public static final java.lang.String createMessage(int errorCode,
                                                       java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted message string.

### createMsg

    public static final java.lang.String createMsg(java.util.ResourceBundle fResourceBundle,
                                                   java.lang.String msgKey,
                                                   java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `fResourceBundle` - The resource bundle to use.
    `msgKey` - The message key to use.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted message string.

### createMessage

    public java.lang.String createMessage(java.lang.String bundleName,
                                          int errorCode,
                                          java.lang.Object[] args)
                                   throws java.lang.Exception

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `bundleName` - The name of the resource bundle to be used.
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
  Returns:
    The formatted message string.
  Throws:
    java.lang.Exception - if the message can not be loaded.

### loadResourceBundle

    public static final java.util.ResourceBundle loadResourceBundle(java.lang.String className)
                                                             throws java.util.MissingResourceException

  Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().
  Parameters:
    `res` - the name of the resource to load.
    `locale` - the locale to prefer when searching for the bundle
    `className` - The class name of the resource bundle.
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.